Bug 150894 - Added Gradients Not Saved in documents (ODT, ODG)
Summary: Added Gradients Not Saved in documents (ODT, ODG)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.3.5.2 release
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-09-09 15:24 UTC by saved2serve@gmail.com
Modified: 2022-09-10 08:02 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
saved gradient test (3.26 MB, text/html)
2022-09-09 15:29 UTC, saved2serve@gmail.com
Details
Both frame and page style gradient images, showing option after closing and reopening (245.95 KB, image/jpeg)
2022-09-10 08:02 UTC, saved2serve@gmail.com
Details

Note You need to log in before you can comment on or make changes to this bug.
Description saved2serve@gmail.com 2022-09-09 15:24:15 UTC
Description:
Adding custom gradients under Page styles (or under Properties in Frames)>Area>Gradient>Add>Name>OK>Apply, only results in  added, named,  saved gradient  color schemes being presently available for that ODT document while still open, not for any others, nor available to choose (in that document or any others)  after saving, closing and reopening document, nor after closing and reopening LO.   

Steps to Reproduce:
1.Open new writer or drawing document.
2. R. click to Page Styles or Properties, and hit Area>Gradient (or Area) 
3.Hit Add or customize colors, etc. first, provide name, and OK and OK or Apply and OK. Likewise add more gradients if wanted for additional testing. 
4. Open a new document and follow step 2 to see if you can find any of the gradients you added are listed.  Save first (or any) document in which you added, named and saved a gradient in. Next, close and reopen document and follow step 2 and see if you can find any of the gradients you added, named and saved. Note that if you had chosen Apply in step 3 then gradient should be seen applied to the page or frame saved as so formatted, but look for any added, named,  saved gradients being  listed and thus available under 2. 
5. Close LO and reopen  the saved document and  check for availability of added, named and saved gradients as per step 4.

Actual Results:
While after closing and reopening,  the last applied gradient will be applied to the document saved with it, but none any of the gradients you added, named and saved  are listed and thus available to be applied. 

Expected Results:
As with adding  custom colors under  Page Styles or Properties, then added, named and saved gradients should henceforth  be available to choose from in any document.


Reproducible: Always


User Profile Reset: Yes



Additional Info:
This operation was tested with LO 7.3.2.2. in Safe Mode in a PC with a Ryzen 3200G CPU. 64 GB RAM, running Windows 10 and up to date Windows  11,  as well as  LO 7.3.5.2 Portable in the same PC. Also in 32 bit Linux and corresponding LO in an older PC.
Comment 1 saved2serve@gmail.com 2022-09-09 15:29:10 UTC
Created attachment 182344 [details]
saved gradient test

See thread https://ask.libreoffice.org/t/custom-gradient-colors-missing-after-saving-where-are-they/63175

I thank God for those who even make such customization possible and their abilities and and those who help! And thank you all here for the interest and help in this perplexing if not major issue.
Comment 2 Harald Berger 2022-09-09 15:45:49 UTC
I can confirm this.

It seems that for page background and frame the gradient is not saved.
Drawing shapes incl. Text Box are saved.

But what is not saved is a transparency value. This could be intentional.

See also:

https://ask.libreoffice.org/t/custom-gradient-colors-missing-after-saving-where-are-they/63175

---
With me:

Version: 7.4.0.3 (x64) / LibreOffice Community
Build ID: f85e47c08ddd19c015c0114a68350214f7066f5a
CPU threads: 8; OS: Windows 10.0 Build 19044; UI render: Skia/Raster; VCL: win
Locale: de-DE (de_DE); UI: de-DE
Calc: CL
Comment 3 Regina Henschel 2022-09-09 22:44:22 UTC
I think, your problem is already covered by bug 103916.
Comment 4 saved2serve@gmail.com 2022-09-10 00:39:00 UTC
Yes, that basically describes the issue, though my version is more descriptive, so I do not know how such complementary duplication  is handled. 

Note that  Comment 2 by Regina Henschel 2016-11-24 11:46:18 UTC that  

"the gradient which has been defined in the situation of page background and which is applied as background, is no longer available, if you save and reopen the document" 

needs clarification, as the  gradient which had been defined and applied as background  still is the page or frame background  after closing and reopening the saved document, and can be altered. 

However, it is not listed in the group of available gradients, though it could be added, named and saved as available in that (and only that) open document - as long as it remains open. 

Hope this helps.
Comment 5 saved2serve@gmail.com 2022-09-10 08:02:13 UTC
Created attachment 182347 [details]
Both frame and page style gradient images, showing option after closing and reopening

There are two images in this screen shot (note header) showing both frame and page style (respectively) gradient retention and option to add such anew. Meaning that a frame or page style gradient which had been defined and applied as background  will still be retained as the frame or  page background  after closing and reopening the saved document, and can be altered and added  once again.  

However, unless  it is added again then it will not be   listed in the group of available gradients, for again,  while gradients  can be added, named and saved as available in  open documents  as long as it remains open, once such are closed then the  added gradients will no longer by available in the list of such to choose from.